Subject: Re: bug#67152: [PATCH] Fix flymake integration in lua-ts-mode

From: João Távora <[email-masked]>
Date: Tue, 14 Nov 2023 14:26:30 +0000

On Tue, Nov 14, 2023 at 2:23 PM João Távora <[email-masked]> wrote:
>
> On Tue, Nov 14, 2023 at 2:13 PM Eli Zaretskii <[email-masked]> wrote:
>>
>> > Date: Mon, 13 Nov 2023 22:40:36 +0000
>> > TLS-Required: No
>> > From: jm--- via "Bug reports for GNU Emacs,
>> >  the Swiss army knife of text editors" <[email-masked]>
>>
>> João, is this OK?
>
> Oooof hard to say.  But no I don't think so.

Oh no! Silly me, this isn't flymake.el at all!!  I saw a fragment
of a loop and thought it was my code :-), i.e. a framework problem.

Well, then in this case, I think it should be OK, though users should
test. Backends are indeed expected to call flymake-diag-region to
get the region to highlight, as the manual and docstrings explain
 (I think).

João